package com.ruoyi.project.training.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 上岗证一览对象 t_worklicense
 *
 * @author ruoyi
 * @date 2020-12-02
 */
public class TByxWorklicense extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 员工号 */
    @Excel(name = "员工号")
    private String employeeid;

    /** 班组 */
    @Excel(name = "班组", dictType = "TEAM_DIVIDE")
    private String classes;

    /** 职务 */
    @Excel(name = "职务", dictType = "ACTUALPOST")
    private String post;

    /** 证件类型 */
//    @Excel(name = "证件类型")
    private String idtype;

    /** 裂解证件号 */
   // @Excel(name = "裂解证件号")
    private String boilerIdnum;

    /** 分离证件号 */
   // @Excel(name = "分离证件号")
    private String pipeIdnum;

    /** 压缩证件号 */
    //@Excel(name = "压缩证件号")
    private String containerIdnum;

    /** PGU/AEU证件号 */
    //@Excel(name = "PGU/AEU证件号")
    private String alkylationIdnum;

    /** 裂解 */
    @Excel(name = "裂解（裂化）", dictType = "YES_NO_EN")
    private String boiler;

    /** 裂解取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "取复证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date boilerDate;

    /** 裂解取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "证件有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date boilerLifespan;

    /** 压缩 */
    @Excel(name = "压力容器", dictType = "YES_NO_EN")
    private String container;

    /** 压缩取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "取复证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date containerDate;


    /** 压缩取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "证件有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date containerLifespan;

    /** 分离 */
    @Excel(name = "压力管道", dictType = "YES_NO_EN")
    private String pipe;

    /** 分离取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "取复证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pipeDate;

    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "证件有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pipeLifespan;

    /** PGU */
    @Excel(name = "烷基化", dictType = "YES_NO_EN")
    private String alkylation;


    /** PGU/AEU取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "取复证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date alkylationDate;

    /** PGU/AEU取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "证件有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date alkylationLifespan;

    /** AEU */
//    @Excel(name = "AEU", dictType = "YES_NO_EN")
    private String aromatic;

    /** 取复证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
//    @Excel(name = "取复证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date recertificatedate;

    /** 证书有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
//    @Excel(name = "证书有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date validity;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 无上岗证 */
    private String notHave;

    /** 证书有效期即将到期 */
    private String expiring;

    /** 到期时间 */
    private Date expiringDate;

    public Date getPipeLifespan() {
        return pipeLifespan;
    }

    public void setPipeLifespan(Date pipeLifespan) {
        this.pipeLifespan = pipeLifespan;
    }

    public Date getContainerLifespan() {
        return containerLifespan;
    }

    public void setContainerLifespan(Date containerLifespan) {
        this.containerLifespan = containerLifespan;
    }

    public Date getAlkylationLifespan() {
        return alkylationLifespan;
    }

    public void setAlkylationLifespan(Date alkylationLifespan) {
        this.alkylationLifespan = alkylationLifespan;
    }

    public Date getBoilerLifespan() {
        return boilerLifespan;
    }

    public void setBoilerLifespan(Date boilerLifespan) {
        this.boilerLifespan = boilerLifespan;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setEmployeeid(String employeeid)
    {
        this.employeeid = employeeid;
    }

    public String getEmployeeid()
    {
        return employeeid;
    }
    public void setClasses(String classes)
    {
        this.classes = classes;
    }

    public String getClasses()
    {
        return classes;
    }
    public void setPost(String post)
    {
        this.post = post;
    }

    public String getPost()
    {
        return post;
    }
    public void setIdtype(String idtype)
    {
        this.idtype = idtype;
    }

    public String getIdtype()
    {
        return idtype;
    }

    public void setBoiler(String boiler)
    {
        this.boiler = boiler;
    }

    public String getBoiler()
    {
        return boiler;
    }
    public void setAromatic(String aromatic)
    {
        this.aromatic = aromatic;
    }

    public String getContainer() {
        return container;
    }

    public void setContainer(String container) {
        this.container = container;
    }

    public String getPipe() {
        return pipe;
    }

    public void setPipe(String pipe) {
        this.pipe = pipe;
    }

    public String getAlkylation() {
        return alkylation;
    }

    public void setAlkylation(String alkylation) {
        this.alkylation = alkylation;
    }

    public String getAromatic()
    {
        return aromatic;
    }
    public void setRecertificatedate(Date recertificatedate)
    {
        this.recertificatedate = recertificatedate;
    }

    public Date getRecertificatedate()
    {
        return recertificatedate;
    }
    public void setValidity(Date validity)
    {
        this.validity = validity;
    }

    public Date getValidity()
    {
        return validity;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    public String getBoilerIdnum() {
        return boilerIdnum;
    }

    public void setBoilerIdnum(String boilerIdnum) {
        this.boilerIdnum = boilerIdnum;
    }

    public String getPipeIdnum() {
        return pipeIdnum;
    }

    public void setPipeIdnum(String pipeIdnum) {
        this.pipeIdnum = pipeIdnum;
    }

    public String getContainerIdnum() {
        return containerIdnum;
    }

    public void setContainerIdnum(String containerIdnum) {
        this.containerIdnum = containerIdnum;
    }

    public String getAlkylationIdnum() {
        return alkylationIdnum;
    }

    public void setAlkylationIdnum(String alkylationIdnum) {
        this.alkylationIdnum = alkylationIdnum;
    }

    public Date getPipeDate() {
        return pipeDate;
    }

    public void setPipeDate(Date pipeDate) {
        this.pipeDate = pipeDate;
    }

    public Date getContainerDate() {
        return containerDate;
    }

    public void setContainerDate(Date containerDate) {
        this.containerDate = containerDate;
    }

    public Date getAlkylationDate() {
        return alkylationDate;
    }

    public void setAlkylationDate(Date alkylationDate) {
        this.alkylationDate = alkylationDate;
    }

    public Date getBoilerDate() {
        return boilerDate;
    }

    public void setBoilerDate(Date boilerDate) {
        this.boilerDate = boilerDate;
    }

    public String getNotHave() { return notHave; }

    public void setNotHave(String notHave) { this.notHave = notHave; }
    public String getExpiring() { return expiring; }

    public void setExpiring(String expiring) { this.expiring = expiring; }
    public Date getExpiringDate() { return expiringDate; }

    public void setExpiringDate(Date expiringDate) { this.expiringDate = expiringDate; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("plantCode", getPlantCode())
                .append("name", getName())
                .append("employeeid", getEmployeeid())
                .append("classes", getClasses())
                .append("post", getPost())
                .append("idtype", getIdtype())
                .append("boiler", getBoiler())
                .append("aromatic", getAromatic())
                .append("recertificatedate", getRecertificatedate())
                .append("validity", getValidity())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("remarks", getRemarks())
                .append("deptId", getDeptId())
                .toString();
    }
}
